<mat-card>
  <mat-card-header>
    <img mat-card-avatar src="{{comment.author.avatar}}" alt="Avatar">
    <mat-card-title>{{comment.author.userName}} </mat-card-title>
    <div>{{comment.createdAt | date:'d/M/yy, h:mm a'}}</div>
  </mat-card-header>
  <mat-card-content>
    <p>{{comment.body}}</p>
  </mat-card-content>
  <mat-card-actions class="actions-buttons" align="end">
    <button mat-icon-button color="primary" (click)="toggleEditContainer()" disabled="{{isAuthorOfComment()}}">
      <mat-icon aria-label="Edit">edit</mat-icon>
    </button>
    <button mat-icon-button color="basic" (click)="deleteComment()" disabled="{{isAuthorOfComment()}}">
      <mat-icon aria-label="Delete">delete</mat-icon>
    </button>
    <button mat-icon-button color="basic" (click)="dislikeComment()">
      <mat-icon matBadge="{{countDislikes()}}" matBadgeColor="accent" matBadgeSize="medium"
        [matBadgeHidden]="countDislikes() === 0" aria-label="Dislike">thumb_down</mat-icon>
    </button>
    <button mat-icon-button color="primary" (click)="likeComment()">
      <mat-icon matBadge="{{countLikes()}}" matBadgeColor="accent" matBadgeSize="medium"
        [matBadgeHidden]="countLikes() === 0" aria-label="Like">favorite</mat-icon>
    </button>
    <button mat-icon-button color="primary" (click)=" toggleReactions()">
      <mat-icon aria-label="Show Likes">toc</mat-icon>
    </button>
  </mat-card-actions>
  <mat-card class="post-create-container" *ngIf="currentUser && showEditContainer">
    <mat-card-content>
      <mat-form-field>
        <textarea [(ngModel)]="this.comment.body" matInput placeholder="Write something..."></textarea>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-icon-button color="primary" matTooltip="Post it" (click)="editComment()">
        <mat-icon aria-label="Send">send</mat-icon>
      </button>
    </mat-card-actions>
  </mat-card>

  <div *ngIf="showReactions">
    <app-reaction *ngFor="let _reaction of comment.reactions" [reaction]="_reaction" [currentUser]="currentUser">
    </app-reaction>
  </div>
</mat-card>